Hi, The Curve Boolean command requires a mouse click, I would like to script this command but instead of using a mouse click I need to enter a location by it’s coordinates.
Thanks
Hi Phil,
Should be scriptable, I’ve done this in the past - something like
import rhinoscriptsyntax as rs
objs=rs.GetObjects("Select some coplanar curves",4,select=True)
bb=rs.BoundingBox(objs)
#add a small amount to make sure you're outside the bounding box
pick_pt=bb[2]+rs.coerce3dvector([1,1,0])
comm_str="_-CurveBoolean _DeleteInput=All _CombineRegions=_Yes {} _Enter".format(pick_pt)
rs.Command(comm_str)
(assumes collection of planar curves that form at least one enclosed area)
Cool Mitch, it works fine.
Cheers Phil